- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Input
- ActionInput
- Qt 6.7.2 Reference Documentation

# ActionInput QML Type

QML frontend for the Qt3DInput::QActionInput C++ class. More...

Import Statement: | import Qt3D.Input 2.7

- List of all members, including inherited members

## Properties

- buttons : list<int>
- sourceDevice : AbstractPhysicalDevice

## Signals

- buttonsChanged(const QList<int> &buttons)
- sourceDeviceChanged()

## Detailed Description

Links a physical device and selected buttons on it which can trigger this action.

Each Action input can be triggered by one or many buttons on a source device

     ActionInput {
       sourceDevice: keyboardSourceDevice
       buttons: [Qt.Key_A]
     }

     ActionInput {
       sourceDevice: keyboardSourceDevice
       buttons: [Qt.Key_A,Qt.Key_B]
     }

## Property Documentation

buttons : list<int>

The Buttons that can trigger this Action.

sourceDevice : AbstractPhysicalDevice

The current source device of the ActionInput

## Signal Documentation

buttonsChanged(const QList<int> &buttons)

This signal is emitted when the buttons associated with the action input is changed.

The corresponding handler is `onbuttonsChanged`

Note: The corresponding handler is `onButtonsChanged`.

sourceDeviceChanged()

This signal is emitted when the source device associated with the action input is changed.

The corresponding handler is `onSourceDeviceChanged`

Note: The corresponding handler is `onSourceDeviceChanged`.